package com.ruoyi.project.patrol.emergency.service.impl;

import com.ruoyi.project.patrol.emergency.domain.TEmergencyEyewash;
import com.ruoyi.project.patrol.emergency.mapper.TEmergencyEyewashMapper;
import com.ruoyi.project.patrol.emergency.service.ITEmergencyEyewashService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 洗眼器检查记录Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-04
 */
@Service
public class TEmergencyEyewashServiceImpl implements ITEmergencyEyewashService
{
    @Autowired
    private TEmergencyEyewashMapper tEmergencyEyewashMapper;

    /**
     * 查询洗眼器检查记录
     *
     * @param id 洗眼器检查记录主键
     * @return 洗眼器检查记录
     */
    @Override
    public TEmergencyEyewash selectTEmergencyEyewashById(Long id)
    {
        return tEmergencyEyewashMapper.selectTEmergencyEyewashById(id);
    }

    /**
     * 查询洗眼器检查记录列表
     *
     * @param tEmergencyEyewash 洗眼器检查记录
     * @return 洗眼器检查记录
     */
    @Override
    public List<TEmergencyEyewash> selectTEmergencyEyewashList(TEmergencyEyewash tEmergencyEyewash)
    {
        return tEmergencyEyewashMapper.selectTEmergencyEyewashList(tEmergencyEyewash);
    }

    /**
     * 新增洗眼器检查记录
     *
     * @param tEmergencyEyewash 洗眼器检查记录
     * @return 结果
     */
    @Override
    public int insertTEmergencyEyewash(TEmergencyEyewash tEmergencyEyewash)
    {
        return tEmergencyEyewashMapper.insertTEmergencyEyewash(tEmergencyEyewash);
    }

    /**
     * 修改洗眼器检查记录
     *
     * @param tEmergencyEyewash 洗眼器检查记录
     * @return 结果
     */
    @Override
    public int updateTEmergencyEyewash(TEmergencyEyewash tEmergencyEyewash)
    {
        return tEmergencyEyewashMapper.updateTEmergencyEyewash(tEmergencyEyewash);
    }

    /**
     * 批量删除洗眼器检查记录
     *
     * @param ids 需要删除的洗眼器检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTEmergencyEyewashByIds(Long[] ids)
    {
        return tEmergencyEyewashMapper.deleteTEmergencyEyewashByIds(ids);
    }

    /**
     * 删除洗眼器检查记录信息
     *
     * @param id 洗眼器检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTEmergencyEyewashById(Long id)
    {
        return tEmergencyEyewashMapper.deleteTEmergencyEyewashById(id);
    }
}
